<form onsubmit="return validateFile()" method ='post' enctype ="multipart/form-data" 
    {% if edit %}
        action="{% url 'profile:admin_news_edit' slug=slug %}"
    {% else %}
        action="{% url 'profile:admin_news_create' %}"
    {% endif %}>

   
    {% csrf_token %}
    
    {% if edit %}
        <input type="hidden" name="{{ form.slug.name }}" id="{{ form.slug.id_for_label }}" value="{{ form.slug.value|stringformat:'s' }}">
    {% endif %}

    <div class="form-group">
        <label for="foto">Thumbnail Berita</label>
        <input type="file" placeholder="Masukkan thumbnail berita..." 
            class="form-control" name="{{ form_foto.thumbnail.name }}"
            id="foto" accept="image/png, image/jpeg, image/webp"
            {% if form_foto.thumbnail.field.required and not edit %}required{% endif %}>
        <small id="passwordHelpBlock" class="form-text text-muted">
            {% if edit %}Kosongi apabila tidak ingin mengganti file.{% endif %}
        </small>
        {{form_foto.x}}
        {{form_foto.y}}
        {{form_foto.width}}
        {{form_foto.height}}
    </div>

    <script>
          function validateFile() {
            var fileInput = document.getElementById('foto');
            var filePath = fileInput.value;
            var allowedExtensions = /(\.png|\.jpg|\.jpeg|\.webp)$/i;

            if (filePath === '') {
                // alert('Mohon pilih file thumbnail berita.');
                return true;
            }

            if (!allowedExtensions.exec(filePath)) {
                alert('Tipe file tidak diizinkan. Harap pilih file dengan ekstensi PNG, JPEG, atau WebP.');
                fileInput.value = '';
                return false;
            }
            return true;
        }
    </script>
    <div class="form-group">
        <label for="{{ form.title.id_for_label }}">Judul Berita</label>
        <input type="text" placeholder="Masukkan judul berita..."
            class="form-control {% if form.title.errors %}is-invalid{% endif %}"
            name="{{ form.title.name }}"
            id="{{ form.title.id_for_label }}" 
            maxlength="{{ form.title.field.max_length }}"
            {% if form.title.value != None %}value="{{ form.title.value|stringformat:'s' }}"{% endif %}
            {% if form.title.field.required %}required{% endif %} >
        {% if form.title.errors %}
            <div class="invalid-feedback">
                {{ form.title.errors }}
            </div>
        {% endif %}
    </div>

    <div class="form-row">
        <div class="form-group col">
            <label for="{{ form.category.id_for_label }}">Kategori Berita</label>
            <select class="form-control" 
                name="{{ form.category.name }}"
                {% if form.category.field.required %}required{% endif %}>
                <option value="">-- Kategori Berita --</option>
                {% for dt in kategori %}
                    <option value="{{ dt.id }}" {% if form.category.value == dt.id %} selected {% endif %}>
                        {{ dt.nama }}
                    </option>
                {% endfor %}
            </select>
        </div>
    </div>
   
    <div for="{{ form.content.id_for_label }}">Konten Berita</div>
    <div class="">
        {{form.content}}
    </div>
    
    <div class="form-group">
        <label for="{{ form.tags.id_for_label }}">Tags Berita</label>
        <input type="text" data-role="tagsinput"
            placeholder="Masukkan Tags berita..."
            class="form-control {% if form.tags.errors %}is-invalid{% endif %}"
            name="{{ form.tags.name }}"
            id="{{ form.tags.id_for_label }}" 
            maxlength="{{ form.tags.field.max_length }}"
            {% if form.tags.value != None %}value="{{ tagsnya }}"{% endif %}
            {% if form.tags.field.required %}required{% endif %} >
        <small id="passwordHelp" class="form-text text-muted">
            Ketikan Tags, lalu tekan <b>ENTER</b>.
        </small>
        {% if form.tags.errors %}
            <div class="invalid-feedback">
                {{ form.tags.errors }}
            </div>
        {% endif %}
    </div>
    
    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan Data</button>
</form>